<template>
  <div class="about">
    <h1>Ласкаво просимо до фотогалереї</h1>
    <p>
      Дізнайтеся більше про нас і наші фотографії. Перегляньте велику колекцію захоплюючих зображень.
    </p>

    <div class="gallery">
      <div v-for="(image, index) in images" :key="index" class="gallery-item">
        <img :src="image" :alt="'Image ' + (index + 1)" />
        <div class="overlay">
          <button @click="showDetails(index)">Дізнатися більше</button>
          <a v-if="userIsAuthenticated" :href="image" :download="'Image_' + (index + 1) + '.jpg'" target="_blank" class="download-link">Завантажити</a>
          <div v-if="selectedImage === index" class="image-details">
            <p>Інформація про фотографію {{ index + 1 }}</p>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';

export default {
  
  data() {
    return {
      images: [
        "https://picsum.photos/400/301/?random",
        "https://picsum.photos/400/302/?random",
        "https://picsum.photos/400/303/?random",
        "https://picsum.photos/400/304/?random",
        "https://picsum.photos/400/305/?random",
        "https://picsum.photos/401/301/?random",
        "https://picsum.photos/402/301/?random",
        "https://picsum.photos/403/301/?random",
        "https://picsum.photos/404/301/?random",
        "https://picsum.photos/405/301/?random",
      ],
      selectedImage: null,
    };
  },
  computed: {
    ...mapGetters('auth', ['userIsAuthenticated']),
  },
  methods: {
    showDetails(index) {
      this.selectedImage = this.selectedImage === index ? null : index;
    },
  },
};
</script>

<style lang="scss" scoped>
.about {
  max-width: 1200px;
  margin: 0 auto;
}

h1 {
  font-size: 2em;
  margin-bottom: 20px;
}

p {
  font-size: 1.2em;
  margin-bottom: 30px;
}
.download-link {
  margin-top: 10px;
  color: #fff;
  text-decoration: none;
  padding: 10px 20px;
  background-color: #3d4f5a;
  border-radius: 5px;
  margin-top: 10px;
  display: inline-block;
}

.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(250px, 2fr));
  gap: 20px;
}

.gallery-item {
  position: relative;
}

img {
  width: 100%;
  height: auto;
  border-radius: 5px;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
}

.gallery-item:hover .overlay {
  opacity: 1;
}

button {
  background-color: #3d4f5a;
  color: #fff;
  border: none;
  padding: 10px 20px;
  cursor: pointer;
}

.image-details {
  margin-top: 10px;
  color: #fff;
}
</style>
